import * as Sentry from '@sentry/nextjs';
import type { Instrumentation } from 'next';


export const register = async () => {
  if (process.env.NEXT_RUNTIME === 'edge') {
    await import('../sentry.edge.config');
  } else await import('../sentry.server.config');
};

export const onRequestError: Instrumentation.onRequestError = (...args) => {
  Sentry.captureRequestError(...args);
};
